import { saveAs } from 'file-saver';

const regFileName = /(.*\/)*([^.]+).*/gi;
export function downloadFileByUrl(fileUrl: string, fileName?: string) {
  //const suffix = /\.([0-9a-z]+)(?:[\?#]|$)/i.exec(fileUrl)[1];
  const suffix = /\.([0-9a-z]+)(?:[#]|$)/i.exec(fileUrl)?.[1];
  let name = fileName ? fileName : fileUrl.replace(regFileName, '$2');
  name += `.${suffix}`;
  saveAs(`${fileUrl}?timestamp=${new Date().getTime()}`, name);
  return;
}
